KVM plugin problem after update

  • Hi,

    System: OMV6 + OMV-Extras, KVM plugin installed.

    After the OMV update, KVM disappeared from the menu! For plugins, it shows that it is not installed. The virtual machine runs in the background.

    I wanted to install kvm on it, then I get this:


    Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C.UTF-8; export LANGUAGE=; export DEBIAN_FRONTEND=noninteractive; apt-get --yes --allow-downgrades --allow-change-held-packages --fix-missing --allow-unauthenticated --reinstall install openmediavault-kvm 2>&1' with exit code '100': Reading package lists...

    Building dependency tree...

    Reading state information...

    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies: qemu-system-arm : Depends: qemu-system-data (> 1:7.1+dfsg~) but 1:5.2+dfsg-11+deb11u2 is to be installed qemu-system-mips : Depends: qemu-system-data (> 1:7.1+dfsg~) but 1:5.2+dfsg-11+deb11u2 is to be installed qemu-system-ppc : Depends: qemu-system-data (> 1:7.1+dfsg~) but 1:5.2+dfsg-11+deb11u2 is to be installed qemu-system-x86 : Depends: qemu-system-data (> 1:7.1+dfsg~) but 1:5.2+dfsg-11+deb11u2 is to be installed
    E: Unable to correct problems, you have held broken packages.



    How can I fix the problem?

  • Hi i have the same problem. I´ve tried to uninstall kvm Plugin, restart system, install updaten and then install kvm and get the sameissue. Ill hope for afix soone.

    Case: Supermicro 836 | Netzteil: Seasonic SS400-U1L | Mainboard:ASRock Z390 Phantom Gaming SLI Intel Z390 (2.5g Lan)

    CPU: intel i7 8700k,CPU | Kühler: Youn HP-400 | Ram: 64GB DDR4 SK Hynix 3200MHz | Controler: 2x ASMedia ASM1166 (6x Sata)

    HDD: 2x Seagate exos 16TB, 1X Seagate ironWolf 14TB. 1x WD red 8TB| SSD: 1x Sandis plus 2TB, 1x Samsung evo 1TB, 1x Samsung evo 250gb (OS)


    Wenn alle HDDs im spin off sind 34Watt, OMV 5 und VM mit (WIN10)

    • Official Post

    Do you have backports enabled? I'm guessing there was an update in Debian repos that is breaking things. The plugin can't fix this. So, this will be a challenge.

    omv 6.1.0-1 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.5 | mergerfs 6.3.3 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

    • Official Post

    Creating a new machine now to figure this out.

    omv 6.1.0-1 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.5 | mergerfs 6.3.3 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • I reinstalled the machine. When I install the latest updates, I get this error.

    Everything is in basic settings and was installed according to the description.

    • Official Post

    When I install the latest updates, I get this error.

    Yep, Debian has a broken repo right now. I can't even install omv-extras right now because libassuan0 isn't in the repo which is a dependency of dirmngr that omv-extras depends on. There is nothing I can do to fix this. We have to wait for Debian to fix their repo.


    root@kvmtest:~# apt-cache policy libassuan0

    libassuan0:

    Installed: (none)

    Candidate: (none)

    Version table:

    omv 6.1.0-1 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.5 | mergerfs 6.3.3 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

    • Official Post

    I can't fix this with apt commands. The debian repo is too broken and missing packages right now. I will try again tomorrow. Hopefully they will put the versions back that are needed. This is the price for using backports packages but the qemu/kvm packages in the regular repo are too old.

    omv 6.1.0-1 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.5 | mergerfs 6.3.3 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • In the meantime, I also found it in the logs:




    The following packages are already downloaded and ready to install. Security packages are installed automatically. Please go to the 'System | Update Management' page in the web interface or run 'omv-upgrade' from the CLI to install non-security packages finally.



    You have received this notification because you have enabled software update notifications on this host. To change your notification preferences, please go to the 'System | Notification' page in the web interface.



    CRON-APT RUN [/etc/cron-apt/config]: Sat Sep 24 06:55:29 CEST 2022


    CRON-APT SLEEP: 1302, Sat Sep 24 07:17:11 CEST 2022


    CRON-APT ACTION: 3-download


    CRON-APT LINE: /usr/bin/apt-get dist-upgrade -d -y -o APT::Get::Show-Upgraded=true


    Reading package lists...


    Building dependency tree...


    Reading state information...


    Calculating upgrade...


    The following packages were automatically installed and are no longer required:


    dconf-gsettings-backend dconf-service dnsmasq-base docutils-common


    gir1.2-freedesktop gir1.2-libosinfo-1.0 glib-networking


    glib-networking-common glib-networking-services gsettings-desktop-schemas


    ieee-data imagemagick-6-common ipxe-qemu ksmtuned libarchive13 libasound2


    libasound2-data libblas3 libbrlapi0.8 libcacard0 libcapstone4 libdaxctl1


    libdconf1 libde265-0 libdw1 libepoxy0 libexecs0 libfdt1 libfftw3-double3


    libfuse3-3 libgbm1 libgfortran5 libgstreamer-plugins-base1.0-0


    libgstreamer1.0-0 libheif1 libibverbs1 libimagequant0 libjson-glib-1.0-0


    libjson-glib-1.0-common liblapack3 liblqr-1-0 libmagickcore-6.q16-6


    libmagickwand-6.q16-6 libndctl6 liborc-0.4-0 libosinfo-1.0-0 libosinfo-bin


    libpciaccess0 libpmem1 libproxy1v5 libquadmath0 librdmacm1 libslirp0


    libsoup2.4-1 libspice-server1 libtpms0 libunwind8 libusbredirparser1


    libvdeplug2 libvirt-clients libvirt-daemon libvirt-daemon-config-network


    libvirt-daemon-config-nwfilter libvirt-daemon-driver-qemu


    libvirt-daemon-system libvirt-daemon-system-systemd libwayland-server0


    libwebpdemux2 lsscsi netcat-openbsd novnc openmediavault-sharerootfs


    osinfo-db osinfo-db-tools ovmf php-imagick php-libvirt-php


    python3-debtcollector python3-docutils python3-importlib-metadata


    python3-iso8601 python3-jwcrypto python3-libvirt python3-libxml2


    python3-more-itertools python3-netaddr python3-novnc python3-numpy


    python3-oslo.config python3-oslo.context python3-oslo.i18n python3-oslo.log


    python3-oslo.serialization python3-oslo.utils python3-packaging python3-pbr


    python3-pil python3-pyinotify python3-pyparsing python3-rfc3986


    python3-roman python3-stevedore python3-tz python3-websockify python3-wrapt


    python3-zipp qemu qemu-efi qemu-efi-aarch64 qemu-efi-arm qemu-system-common


    qemu-system-data qemu-utils seabios sgml-base spice-html5 swtpm swtpm-libs


    swtpm-tools usb.ids virtinst websockify xml-core


    Use 'apt autoremove' to remove them.


    The following packages will be REMOVED:


    openmediavault-kvm qemu-system-arm qemu-system-mips qemu-system-ppc


    qemu-system-x86


    The following packages will be upgraded:


    openmediavault openmediavault-sharerootfs qemu-system-common qemu-utils


    4 upgraded, 0 newly installed, 5 to remove and 0 not upgraded.


    Need to get 6089 kB of archives.


    After this operation, 168 MB disk space will be freed.


    Get:1 https://deb.debian.org/debian bullseye-backports/main amd64 qemu-system-common amd64 1:7.1+dfsg-2~bpo11+1 [2174 kB]


    Get:2 https://packages.openmediavault.org/public shaitan/main amd64 openmediavault all 6.0.41-1 [2592 kB]


    Get:3 https://deb.debian.org/debian bullseye-backports/main amd64 qemu-utils amd64 1:7.1+dfsg-2~bpo11+1 [1319 kB]


    Get:4 https://packages.openmediavault.org/public shaitan/main amd64 openmediavault-sharerootfs all 6.0.1-1 [3192 B]


    Fetched 6089 kB in 0s (14.1 MB/s)


    Download complete and in download only mode

    • Official Post

    Yep. Same here when I try to manually dist-upgrade. Only way to fix is to have the packages (dependencies of kvm plugin) back in the repo.


    aaron@omv6dev:~$ sudo apt-get dist-upgrade

    Reading package lists... Done

    Building dependency tree... Done

    Reading state information... Done

    Calculating upgrade... Done

    The following packages were automatically installed and are no longer required:

    ipxe-qemu libcapstone4 libdaxctl1 libexecs0 libfdt1 libndctl6 libpmem1 libslirp0 libvdeplug2 lsscsi seabios

    Use 'sudo apt autoremove' to remove them.

    The following packages will be REMOVED:

    openmediavault-kvm qemu-system-arm qemu-system-mips qemu-system-misc qemu-system-ppc qemu-system-x86

    The following packages will be upgraded:

    openmediavault openmediavault-sharerootfs qemu-guest-agent qemu-system-common qemu-utils

    5 upgraded, 0 newly installed, 6 to remove and 0 not upgraded.

    Need to get 0 B/6,457 kB of archives.

    After this operation, 359 MB disk space will be freed.

    Do you want to continue? [Y/n] n

    omv 6.1.0-1 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.5 | mergerfs 6.3.3 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • I can't fix this with apt commands. The debian repo is too broken and missing packages right now. I will try again tomorrow. Hopefully they will put the versions back that are needed. This is the price for using backports packages but the qemu/kvm packages in the regular repo are too old.

    I have this problem too, is there any hope that it will be back to normal after debian fixes the problem? Or reinstall the omv hoping to be bigger?

    • Official Post

    is there any hope that it will be back to normal after debian fixes the problem?

    When Debian puts the packages back in the repo, everything should be fine.


    Or reinstall the omv hoping to be bigger?

    This is a simple package problem. There is no need to reinstall OMV. If you have kvm installed now, that would be a bad solution since you can't install kvm at all right now.

    omv 6.1.0-1 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.5 | mergerfs 6.3.3 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • When Debian puts the packages back in the repo, everything should be fine.


    This is a simple package problem. There is no need to reinstall OMV. If you have kvm installed now, that would be a bad solution since you can't install kvm at all right now.

    Fortunately, I have no impulse, I will continue to wait for Debian to fix the problem.

    Backports are open by default, do I need to close it?

    • Official Post

    do I need to close it?

    No.


    I really need the kvm. A quick solution would be nice. I will try to contact Debian support.

    Debian support?

    omv 6.1.0-1 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.5 | mergerfs 6.3.3 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

    • Official Post

    Ryecoaaron, can I ask you for help? Where can I report my problem so that it is resolved as soon as possible?

    Unless you have a support contract, you are just asking volunteers to do work. So, you probably aren't going to get the turnaround time you are expecting. I'll see if I can come up with something.

    omv 6.1.0-1 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.5 | mergerfs 6.3.3 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!